Summary:       System performance benchmark
Name:          sysbench
Version:       0.4.12
Release:       1
License:       GPLv2+
Group:         Applications/System
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-%{version}-aix.patch
URL:           http://sysbench.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: automake
BuildRequires: libtool


%description
SysBench is a modular, cross-platform and multi-threaded benchmark
tool for evaluating OS parameters that are important for a system
running a database under intensive load.

The idea of this benchmark suite is to quickly get an impression about
system performance without setting up complex database benchmarks or
even without installing a database at all. Current features allow to
test the following system parameters:
- file I/O performance
- scheduler performance
- memory allocation and transfer speed
- POSIX threads implementation performance
- database server performance (OLTP benchmark)

Primarily written for MySQL server benchmarking, SysBench will be
further extended to support multiple database backends, distributed
benchmarks and third-party plug-in modules.


%prep
%setup -q
touch NEWS AUTHORS
autoreconf -fiv
%patch0


%build
export CC="xlc_r -D_LARGE_FILES"

./configure \
    --prefix=%{_prefix} \
    --without-mysql

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f $RPM_BUILD_ROOT%{_docdir}/sysbench/manual.html

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog COPYING INSTALL README
%{_bindir}/*
/usr/bin/*


%changelog
* Tue May 03 2011 Michael Perzl <michael@perzl.org> - 0.4.12-1
- first version for AIX V5.1 and higher
